using System.Text.Json.Serialization;

namespace Berufsschule_HAM.Models;

public class GroupsIndexRequestModel
{
    public string? Cn { get; set; }
    public bool GidNumber { get; set; } = true;
    public bool Permissions { get; set; } = true;
}

public class GroupsCreateRequestModel
{
    [JsonPropertyName("Cn")]
    public required string Cn { get; set; }
    [JsonPropertyName("DisplayName")]
    public required string DisplayName { get; set; }
    [JsonPropertyName("Permissions")]
    public required List<GroupPermission> Permissions { get; set; }
}

public class GroupsModifyRequestModel
{
    [JsonPropertyName("Cn")]
    public required string Cn { get; set; }
    [JsonPropertyName("NewCn")]
    public string? NewCn { get; set; } = null;
    [JsonPropertyName("GidNumber")]
    public string? GidNumber { get; set; } = null;
    [JsonPropertyName("Description")]
    public GroupDescription? Description { get; set; } = null;
}